Subject: Re: GCC bug with strftime
From: "Norman Vine" <[email-masked]>
To: "Richard Troy" <[email-masked]>
Cc: "Cygwin" <[email-masked]>
Date: Mon, 13 Jan 2003 21:34:18 -0500

Richard Troy writes:
> 
> I recently discovered a bug in strftime(). I downloaded a very recent copy
> of cygwin and tried again, but it's still there. So, I'd like to report
> it. I sent mail to the gcc-bugs list but nobody there seems to care, so I
> thought I'd mention it here.
> 
> The problem is that this call fails to return an hour:
> 
> strftime(IT,key,"%m/%d/%y %l:%M %p", brokentime);

hmmm...

Are you sure that you are not passing a 'el' instead of a capital 'eye'

it is real hard to differentiate in some typefaces

note: python just calls the underlying 'C' strftime() implementation

HTH

Norman

$ python
Python 2.2.2 (#1, Dec 31 2002, 12:24:34)
[GCC 3.2 20020927 (prerelease)] on cygwin
Type "help", "copyright", "credits" or "license" for more information.
>>> import time
>>> time.strftime("%m/%d/%y %l:%M %p")
'01/13/03 :25 PM'
>>> time.strftime("%m/%d/%y %I:%M %p")
'01/13/03 09:26 PM'

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Bug reporting:         http://cygwin.com/bugs.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/